QGIS Application - Bug report #13585
Processing: ‘Shapes to grid fails
2015-10-13 07:44 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21627
Description

Shapes to grid...

grid_gridding "Shapes to Grid" -TARGET_DEFINITION 0 -INPUT
"/home/paolo/Scrivania/analisi/QGIS_data/processing/extents/watersheds.shp" -FIELD "ID" -OUTPUT 2 -MULTIPLE 4 -LINE_TYPE 0
-POLY_TYPE 0 -GRID_TYPE 0 -TARGET_USER_XMIN 262846.525725 -TARGET_USER_XMAX 277846.525725
-TARGET_USER_YMIN 4454025.0 -TARGET_USER_YMAX 4464275.0 -TARGET_USER_SIZE 2 -TARGET_USER_FITS 1
-TARGET_OUT_GRID "/tmp/processing/40469ebeb4cc482db8c77e69e91784c9/TARGETOUTGRID.sdat"

Unknown option 'TARGET_OUT_GRID'

Associated revisions

Revision ccdb7023 - 2015-10-13 04:57 PM - Paolo Cavallini

Update ShapestoGrid.txt

Fixes #13585

History

#1 - 2015-10-13 07:51 AM - Paolo Cavallini

Apparently the param is now -GRID:

Usage: saga_cmd grid_gridding 0 [-INPUT <strs] [-FIELD <str>] [[OUTPUT <str>] [-MULTIPLE <strs] [-LINE_TYPE <str>] [-POLY_TYPE <str>]
[-GRID_TYPE <str>] [-TARGET_DEFINITION <str>] [[-TARGET_USER_XMIN <str>] [-TARGET_USER_XMAX <str>] [[-TARGET_USER_YMIN <str>]
[-TARGET_USER_YMAX <str>] [[TARGET_USER_SIZE <str>] [ TARGET_USER_FITS <str>] [[ TARGET_TEMPLATE <str>] [-GRID <str>] [-COUNT

<str>]

-INPUT:<str> Shapes
Shapes (input)

-FIELD:<str> Attribute
Table field

-OUTPUT:<str> Output Values
Choice

Available Choices:
[0] data / no-data
[1] index number
[2] attribute
Default: 2
-MULTIPLE:<str> Method for Multiple Values
Choice

Available Choices:

[0] first

[1] last

[2] minimum

[3] maximum

[4] mean

Default: 1
-LINE_TYPE:<str> Lines

Choice

Available Choices:

[0] thin

[1] thick

Default: 1
-POLY_TYPE:<str> Polygon

Choice

Available Choices:

[0] node

[1] cell

Default: 1
-GRID_TYPE:<str> Preferred Target Grid Type

Choice

Available Choices:

[0] Integer (1 byte)

[1] Integer (2 byte)
[2] Integer (4 byte)
[3] Floating Point (4 byte)
[4] Floating Point (8 byte)

Default: 3
-TARGET_DEFINITION:<str> Target Grid System

Choice

Available Choices:

[0] user defined

[1] grid or grid system

Default: 0
-TARGET_USER_XMIN:<str>  Left

Floating point

Default: 0.000000
-TARGET_USER_XMAX:<str> Right

Floating point

Default: 100.000000
-TARGET_USER_YMIN:<str>  Bottom

Floating point

Default: 0.000000
-TARGET_USER_YMAX:<str> Top

Floating point

Default: 100.000000
-TARGET_USER_SIZE:<str>  Cellsize

Floating point

Minimum: 0.000000

Default: 1.000000
-TARGET_USER_FITS:<str>  Fit

Choice
Available Choices:
[0] nodes
[1] cells
Default: 0
-TARGET_TEMPLATE:<str>  Target System
Grid (optional input)

-GRID:<str> Grid
Grid (output)
-COUNT:<str> Number of Values

Grid (optional output)

#2 - 2015-10-13 07:58 AM - Paolo Cavallini
- Status changed from Open to Closed

Fixed in changeset commit:"ccdb70239f861a4bb639dbcdc18595b2d832b9a5".

2024-04-25

3/3



